import { expect, expectAsync, tap } from '@pushrocks/tapbundle';
import * as smartwhois from '../ts/index.js';

let testSmartWhois: smartwhois.SmartWhois;

tap.test('should create a valid instance of SmartWhois', async () => {
  testSmartWhois = new smartwhois.SmartWhois();
  expect(testSmartWhois).toBeInstanceOf(smartwhois.SmartWhois);
})

tap.test('should get whois info for domain', async () => {
  const whoisInfo = await testSmartWhois.getWhoisForDomain('task.vc');
  console.log(whoisInfo);
});

tap.test('should check for a valid tld', async () => {
  const comIsValid = await testSmartWhois.isValidTld('.com');
  console.log(comIsValid);
  expect(comIsValid).toBeTrue();
})

tap.start();
